Index: /trunk/SRC/.idlwave_catalog
===================================================================
--- /trunk/SRC/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/.idlwave_catalog	(revision 244)
@@ -6,9 +6,9 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("cw_field2" fun nil (lib "buildinit.pro" nil "saxo") "Result = %s(Parent)" (nil ("ALL_EVENTS") ("COLUMN") ("EVENT_FUNC") ("FIELDFONT") ("FLOATING") ("FONT") ("FRAME") ("INTEGER") ("LONG") ("NOEDIT") ("RETURN_EVENTS") ("ROW") ("STRING") ("TEXT_FRAME") ("TITLE") ("UNAME") ("UVALUE") ("VALUE") ("XSIZE") ("YSIZE")))
+ '(("cw_field2" fun nil (lib "buildinit.pro" nil "saxo") "Result = %s(parent)" (nil ("ALL_EVENTS") ("COLUMN") ("EVENT_FUNC") ("FIELDFONT") ("FLOATING") ("FONT") ("FRAME") ("INTEGER") ("LONG") ("NOEDIT") ("RETURN_EVENTS") ("ROW") ("STRING") ("TEXT_FRAME") ("TITLE") ("UNAME") ("UVALUE") ("VALUE") ("XSIZE") ("YSIZE")))
    ("printerdef_event" pro nil (lib "buildinit.pro" nil "saxo") "%s, event" (nil))
    ("papsize_event" pro nil (lib "buildinit.pro" nil "saxo") "%s, event" (nil))
    ("xask_event" pro nil (lib "buildinit.pro" nil "saxo") "%s, event" (nil))
-   ("xask" fun nil (lib "buildinit.pro" nil "saxo") "Result = %s" (nil ("_extra")))
+   ("xask" fun nil (lib "buildinit.pro" nil "saxo") "Result = %s" (nil ("_EXTRA")))
    ("getdir" fun nil (lib "buildinit.pro" nil "saxo") "Result = %s" (nil ("nomark") ("nowrite") ("title")))
    ("buildinit" pro nil (lib "buildinit.pro" nil "saxo") "%s" (nil))))
Index: /trunk/SRC/Grid/.idlwave_catalog
===================================================================
--- /trunk/SRC/Grid/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/Grid/.idlwave_catalog	(revision 244)
@@ -8,5 +8,5 @@
  '(("changemsk" fun nil (lib "changemsk.pro" nil "saxo") "Result = %s(tab)" (nil ("CELLSIZE")))
    ("checkperio" pro nil (lib "checkperio.pro" nil "saxo") "%s, file" (nil ("WRITE")))
-   ("computegrid" pro nil (lib "computegrid.pro" nil "saxo") "%s, startx, starty, stepxin, stepyin, nxin, nyin" (nil ("_extra") ("FBASE2TBASE") ("FULLCGRID") ("GLAMBOUNDARY") ("MASK") ("ONEARTH") ("PERIODIC") ("PLAIN") ("ROMSH") ("SHIFT") ("STRCALLING") ("STRIDE") ("UBASE2TBASE") ("VBASE2TBASE") ("XAXIS") ("XMAXMESH") ("XMINMESH") ("XYINDEX") ("YAXIS") ("YMAXMESH") ("YMINMESH") ("ZAXIS") ("ZMAXMESH") ("ZMINMESH")))
+   ("computegrid" pro nil (lib "computegrid.pro" nil "saxo") "%s, startx, starty, stepxin, stepyin, nxin, nyin" (nil ("_EXTRA") ("FBASE2TBASE") ("FULLCGRID") ("GLAMBOUNDARY") ("MASK") ("ONEARTH") ("PERIODIC") ("PLAIN") ("ROMSH") ("SHIFT") ("STRCALLING") ("STRIDE") ("UBASE2TBASE") ("VBASE2TBASE") ("XAXIS") ("XMAXMESH") ("XMINMESH") ("XYINDEX") ("YAXIS") ("YMAXMESH") ("YMINMESH") ("ZAXIS") ("ZMAXMESH") ("ZMINMESH")))
    ("ncdf_transfer" pro nil (lib "micromeshmask.pro" nil "saxo") "%s, inid, outid, inname, outname" (nil))
    ("micromeshmask" pro nil (lib "micromeshmask.pro" nil "saxo") "%s, ncfilein, ncfileout" (nil ("IODIR")))
Index: /trunk/SRC/Interpolation/.idlwave_catalog
===================================================================
--- /trunk/SRC/Interpolation/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/Interpolation/.idlwave_catalog	(revision 244)
@@ -24,5 +24,5 @@
    ("ll_narcs_distances" fun nil (lib "ll_narcs_distances.pro" nil "saxo") "Result = %s(lon0, lat0, arc_dist, az)" (nil ("DEGREES")))
    ("map_npoints" fun nil (lib "map_npoints.pro" nil "saxo") "Result = %s(lon0, lat0, lon1, lat1)" (nil ("AZIMUTH") ("MIDDLE") ("RADIANS") ("RADIUS") ("TWO_BY_TWO")))
-   ("neighbor" fun nil (lib "neighbor.pro" nil "saxo") "Result = %s(p0lon, p0lat, neighlon, neighlat)" (nil ("distance") ("radians") ("sphere")))
+   ("neighbor" fun nil (lib "neighbor.pro" nil "saxo") "Result = %s(p0lon, p0lat, neighlon, neighlat)" (nil ("DISTANCE") ("RADIANS") ("SPHERE")))
    ("quadrilateral2square" fun nil (lib "quadrilateral2square.pro" nil "saxo") "Result = %s(x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin)" (nil ("PERF")))
    ("spl_fstdrv" fun nil (lib "spl_fstdrv.pro" nil "saxo") "Result = %s(x, y, yscd, x2)" (nil))
Index: /trunk/SRC/Obsolete/.idlwave_catalog
===================================================================
--- /trunk/SRC/Obsolete/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/Obsolete/.idlwave_catalog	(revision 244)
@@ -7,5 +7,5 @@
 (setq idlwave-library-catalog-routines
  '(("congridseb" fun nil (lib "congridseb.pro" nil "saxo") "Result = %s(tableau, x, y)" (nil))
-   ("cp" pro nil (lib "cp.pro" nil "saxo") "%s, filenamein, filenameout" (nil ("_extra")))
+   ("cp" pro nil (lib "cp.pro" nil "saxo") "%s, filenamein, filenameout" (nil ("_EXTRA")))
    ("extrait" fun nil (lib "extrait.pro" nil "saxo") "Result = %s(tab, indicex, indicey, indicez, indicet)" (nil))
    ("ficdate" fun nil (lib "ficdate.pro" nil "saxo") "Result = %s(vdate, dim, nomexp)" (nil))
Index: /trunk/SRC/Postscript/.idlwave_catalog
===================================================================
--- /trunk/SRC/Postscript/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/Postscript/.idlwave_catalog	(revision 244)
@@ -7,5 +7,5 @@
 (setq idlwave-library-catalog-routines
  '(("closeps" pro nil (lib "closeps.pro" nil "saxo") "%s" (nil ("INFOWIDGET")))
-   ("openps" pro nil (lib "openps.pro" nil "saxo") "%s, namepsin" (nil ("_extra") ("FILENAME") ("INFOWIDGET") ("KEEP_PFONT") ("KEEPPFONT") ("LANDSCAPE") ("LIGHTNESS") ("PORTRAIT")))
+   ("openps" pro nil (lib "openps.pro" nil "saxo") "%s, namepsin" (nil ("_EXTRA") ("FILENAME") ("INFOWIDGET") ("KEEP_PFONT") ("KEEPPFONT") ("LANDSCAPE") ("LIGHTNESS") ("PORTRAIT")))
    ("printps_event" pro nil (lib "printps.pro" nil "saxo") "%s, event" (nil))
    ("printps" pro nil (lib "printps.pro" nil "saxo") "%s, psfilename" (nil))))
Index: /trunk/SRC/ReadWrite/.idlwave_catalog
===================================================================
--- /trunk/SRC/ReadWrite/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ReadWrite/.idlwave_catalog	(revision 244)
@@ -6,5 +6,6 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("ncdf_timeget" fun nil (lib "ncdf_timeget.pro" nil "saxo") "Result = %s(cdfid, timeid)" (nil ("_EXTRA") ("YYYYMMDD")))
+ '(("ncdf_getaxis" pro nil (lib "ncdf_getaxis.pro" nil "saxo") "%s, cdfid, dimidx, dimidy, xaxis, yaxis" (nil ("_EXTRA") ("ROMSGRID") ("START1") ("XAXISNAME") ("XDIMNAME") ("XYINDEX") ("YAXISNAME") ("YDIMNAME")))
+   ("ncdf_timeget" fun nil (lib "ncdf_timeget.pro" nil "saxo") "Result = %s(cdfid, timeid)" (nil ("_EXTRA") ("YYYYMMDD")))
    ("read_grads" fun nil (lib "read_grads.pro" nil "saxo") "Result = %s(var, date1, date2)" (nil ("_EXTRA") ("BOX") ("EVERYTHING") ("FILENAME") ("NOSTRUCT") ("TIMESTEP")))
    ("read_oasis" fun nil (lib "read_oasis.pro" nil "saxo") "Result = %s(filename, varname, jpi, jpj)" (nil ("I2") ("I4") ("I8") ("R4")))
Index: /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/CALCULS/.idlwave_catalog	(revision 244)
@@ -7,18 +7,18 @@
 (setq idlwave-library-catalog-routines
  '(("depth2floatlevel" fun nil (lib "depth2floatlevel.pro" nil "saxo") "Result = %s(tab)" (nil ("NOMASK")))
-   ("depth2level" fun nil (lib "depth2level.pro" nil "saxo") "Result = %s(tab)" (nil ("_extra") ("CLOSER") ("LOWER") ("NOMASK") ("UPPER")))
-   ("depth2mask" fun nil (lib "depth2mask.pro" nil "saxo") "Result = %s(tab)" (nil ("_extra")))
+   ("depth2level" fun nil (lib "depth2level.pro" nil "saxo") "Result = %s(tab)" (nil ("_EXTRA") ("CLOSER") ("LOWER") ("NOMASK") ("UPPER")))
+   ("depth2mask" fun nil (lib "depth2mask.pro" nil "saxo") "Result = %s(tab)" (nil ("_EXTRA")))
    ("determ2" fun nil (lib "determ2.pro" nil "saxo") "Result = %s(a, b, c, d)" (nil))
    ("determ3" fun nil (lib "determ3.pro" nil "saxo") "Result = %s(in00, in01, in02, in10, in11, in12, in20, in21, in22)" (nil))
    ("floatlevel2depth" fun nil (lib "floatlevel2depth.pro" nil "saxo") "Result = %s(tab)" (nil ("NOMASK")))
    ("fsfzpt" fun nil (lib "fsfzpt.pro" nil "saxo") "Result = %s(pfs, pfp)" (nil))
-   ("grossemoyenne" fun nil (lib "grossemoyenne.pro" nil "saxo") "Result = %s(tab, direc)" (nil ("_extra") ("BOXZOOM") ("INTEGRATION") ("NAN") ("NODOMDEF") ("SPATIALFIRST") ("TEMPORALFIRST") ("WDEPTH")))
+   ("grossemoyenne" fun nil (lib "grossemoyenne.pro" nil "saxo") "Result = %s(tab, direc)" (nil ("_EXTRA") ("BOXZOOM") ("INTEGRATION") ("NAN") ("NODOMDEF") ("SPATIALFIRST") ("TEMPORALFIRST") ("WDEPTH")))
    ("hdyn" fun nil (lib "hdyn.pro" nil "saxo") "Result = %s(tabsn, tabtn)" (nil ("GILL") ("LEVEL") ("PROFREF") ("SREF") ("SURFACE_LEVEL") ("TREF")))
    ("level2depth" fun nil (lib "level2depth.pro" nil "saxo") "Result = %s(tab)" (nil ("NOMASK")))
    ("level2index" fun nil (lib "level2index.pro" nil "saxo") "Result = %s(level)" (nil))
    ("level2mask" fun nil (lib "level2mask.pro" nil "saxo") "Result = %s(tab)" (nil))
-   ("moyenne" fun nil (lib "moyenne.pro" nil "saxo") "Result = %s(tab, direc)" (nil ("_extra") ("BOXZOOM") ("INTEGRATION") ("NAN") ("NODOMDEF") ("WDEPTH")))
-   ("norme" fun nil (lib "norme.pro" nil "saxo") "Result = %s(composanteu, composantev)" (nil ("_extra") ("BOXZOOM") ("DIREC")))
+   ("moyenne" fun nil (lib "moyenne.pro" nil "saxo") "Result = %s(tab, direc)" (nil ("_EXTRA") ("BOXZOOM") ("INTEGRATION") ("NAN") ("NODOMDEF") ("WDEPTH")))
+   ("norme" fun nil (lib "norme.pro" nil "saxo") "Result = %s(composanteu, composantev)" (nil ("_EXTRA") ("BOXZOOM") ("DIREC")))
    ("projectondepth" fun nil (lib "projectondepth.pro" nil "saxo") "Result = %s(arrayin, depthin)" (nil))
-   ("remplit" fun nil (lib "remplit.pro" nil "saxo") "Result = %s(zinput)" (nil ("_extra") ("BASIQUE") ("FILLVAL") ("FILLXDIR") ("FILLYDIR") ("mask") ("NAN") ("NITER")))
+   ("remplit" fun nil (lib "remplit.pro" nil "saxo") "Result = %s(zinput)" (nil ("_EXTRA") ("BASIQUE") ("FILLVAL") ("FILLXDIR") ("FILLYDIR") ("mask") ("NAN") ("NITER")))
    ("rhon" fun nil (lib "rhon.pro" nil "saxo") "Result = %s(sn, tn)" (nil ("INSITU") ("SIGMA_N")))))
Index: /trunk/SRC/ToBeReviewed/GRILLE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/GRILLE/.idlwave_catalog	(revision 244)
@@ -8,11 +8,11 @@
  '(("changegrid" fun nil (lib "changegrid.pro" nil "saxo") "Result = %s(newgrid)" (nil))
    ("cmpgrid" fun nil (lib "cmpgrid.pro" nil "saxo") "Result = %s(newgrid)" (nil))
-   ("decoupeterre" pro nil (lib "decoupeterre.pro" nil "saxo") "%s, mask, glam, gphi, gdep" (nil ("_extra") ("COINDESCEND") ("COINMONTE") ("INDICEZOOM") ("REALSECTION") ("TRI") ("TYPE") ("USETRI") ("WDEPTH")))
-   ("domdef" pro nil (lib "domdef.pro" nil "saxo") "%s, x1, x2, y1, y2, z1, z2" (nil ("_extra") ("ENDPOINTS") ("FINDALWAYS") ("GRIDTYPE") ("INDEX") ("MEMEINDICES") ("TYPE") ("XINDEX") ("YINDEX") ("ZINDEX")))
+   ("decoupeterre" pro nil (lib "decoupeterre.pro" nil "saxo") "%s, mask, glam, gphi, gdep" (nil ("_EXTRA") ("COINDESCEND") ("COINMONTE") ("INDICEZOOM") ("REALSECTION") ("TRI") ("TYPE") ("USETRI") ("WDEPTH")))
+   ("domdef" pro nil (lib "domdef.pro" nil "saxo") "%s, x1, x2, y1, y2, z1, z2" (nil ("_EXTRA") ("ENDPOINTS") ("FINDALWAYS") ("GRIDTYPE") ("INDEX") ("MEMEINDICES") ("TYPE") ("XINDEX") ("YINDEX") ("ZINDEX")))
    ("f2v" fun nil (lib "f2v.pro" nil "saxo") "Result = %s(temp)" (nil))
    ("fmask" fun nil (lib "fmask.pro" nil "saxo") "Result = %s" (nil))
    ("grille" pro nil (lib "grille.pro" nil "saxo") "%s, mask, glam, gphi, gdep, nx, ny, nz, firstx, firsty, firstz, lastx, lasty, lastz, e1, e2, e3" (nil ("_EXTRA") ("FORPLT") ("NOTRI") ("TOUT") ("TRI") ("TYPE") ("WDEPTH")))
    ("t2v" fun nil (lib "t2v.pro" nil "saxo") "Result = %s(temp)" (nil))
-   ("tracegrille" pro nil (lib "tracegrille.pro" nil "saxo") "%s, glamin, gphiin" (nil ("_extra") ("EARTH") ("OCEAN") ("RMOUT") ("XSTRIDE") ("YSTRIDE")))
+   ("tracegrille" pro nil (lib "tracegrille.pro" nil "saxo") "%s, glamin, gphiin" (nil ("_EXTRA") ("EARTH") ("OCEAN") ("RMOUT") ("XSTRIDE") ("YSTRIDE")))
    ("u2t" fun nil (lib "u2t.pro" nil "saxo") "Result = %s(temp)" (nil))
    ("umask" fun nil (lib "umask.pro" nil "saxo") "Result = %s" (nil))
Index: /trunk/SRC/ToBeReviewed/HOPE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/HOPE/.idlwave_catalog	(revision 244)
@@ -11,10 +11,10 @@
    ("cw_selectinterval_get_value" fun nil (lib "cw_selectinterval.pro" nil "saxo") "Result = %s(id)" (nil))
    ("cw_selectinterval_event" fun nil (lib "cw_selectinterval.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("cw_selectinterval" fun nil (lib "cw_selectinterval.pro" nil "saxo") "Result = %s(parent, vecteur)" (nil ("_extra")))
+   ("cw_selectinterval" fun nil (lib "cw_selectinterval.pro" nil "saxo") "Result = %s(parent, vecteur)" (nil ("_EXTRA")))
    ("domainpart" pro nil (lib "domainpart.pro" nil "saxo") "%s, top_uvalue, basedomain, selected" (nil ("DESTROY")))
    ("findlineandpointtype" fun nil (lib "findlineandpointtype.pro" nil "saxo") "Result = %s(sectype, xaxis, yaxis, iodir)" (nil))
    ("read_hope_event" pro nil (lib "read_hope.pro" nil "saxo") "%s, event" (nil))
-   ("read_hope" fun nil (lib "read_hope.pro" nil "saxo") "Result = %s(typein, varnamein)" (nil ("_extra") ("EVENPT") ("FILENAME") ("ODDEVENPT") ("ODDPT") ("TLIMITS") ("XLIMITS") ("YLIMITS") ("ZLIMITS")))
+   ("read_hope" fun nil (lib "read_hope.pro" nil "saxo") "Result = %s(typein, varnamein)" (nil ("_EXTRA") ("EVENPT") ("FILENAME") ("ODDEVENPT") ("ODDPT") ("TLIMITS") ("XLIMITS") ("YLIMITS") ("ZLIMITS")))
    ("rh_alldomains" pro nil (lib "rh_alldomains.pro" nil "saxo") "%s, topid, selected" (nil))
    ("sortdim" fun nil (lib "sortdim.pro" nil "saxo") "Result = %s(dims)" (nil ("inverse")))
-   ("xrh" pro nil (lib "xrh.pro" nil "saxo") "%s" (nil ("_extra")))))
+   ("xrh" pro nil (lib "xrh.pro" nil "saxo") "%s" (nil ("_EXTRA")))))
Index: /trunk/SRC/ToBeReviewed/INIT/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/INIT/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/INIT/.idlwave_catalog	(revision 244)
@@ -6,3 +6,3 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("initncdf" pro nil (lib "initncdf.pro" nil "saxo") "%s, ncfilein" (nil ("_EXTRA") ("INVMASK") ("MASKNAME") ("MISSING_VALUE") ("START1") ("USEASMASK") ("XAXISNAME") ("XYINDEX") ("YAXISNAME") ("ZAXISNAME") ("ZINDEX")))))
+ '(("initncdf" pro nil (lib "initncdf.pro" nil "saxo") "%s, ncfilein" (nil ("_EXTRA") ("INVMASK") ("MASKNAME") ("MISSING_VALUE") ("START1") ("USEASMASK") ("XYINDEX") ("ZAXISNAME") ("ZINDEX")))))
Index: /trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/LECTURE/.idlwave_catalog	(revision 244)
@@ -10,5 +10,5 @@
    ("inverse_binary" fun nil (lib "inverse_binary.pro" nil "saxo") "Result = %s(binnumb)" (nil))
    ("litchamp" fun nil (lib "litchamp.pro" nil "saxo") "Result = %s(struct)" (nil ("DATE") ("EXP") ("GRID") ("LEVEL") ("MASK") ("NAME") ("UNIT")))
-   ("ncdf_lec" fun nil (lib "ncdf_lec.pro" nil "saxo") "Result = %s(nom)" (nil ("_extra") ("ATT") ("DIM") ("IODIR") ("VAR")))
+   ("ncdf_lec" fun nil (lib "ncdf_lec.pro" nil "saxo") "Result = %s(nom)" (nil ("_EXTRA") ("ATT") ("DIM") ("IODIR") ("VAR")))
    ("ftp_post" pro nil (lib "read_ftp.pro" nil "saxo") "%s, u, cmd, res" (nil ("count") ("out")))
    ("ftp_parse_pasv" pro nil (lib "read_ftp.pro" nil "saxo") "%s, text, host, port" (nil))
Index: /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/PLOTS/.idlwave_catalog	(revision 244)
@@ -8,5 +8,5 @@
  '(("axe" pro nil (lib "axe.pro" nil "saxo") "%s, coupe, tempsmin, tempsmax" (nil ("_EXTRA") ("DIGITSYEAR") ("REVERSE_X") ("REVERSE_Y") ("SEPDATE") ("SIN")))
    ("legende" pro nil (lib "legende.pro" nil "saxo") "%s, mi, ma, coupe" (nil ("_EXTRA") ("CONTOUR") ("DIREC") ("ENDPOINTS") ("INTERVALLE") ("NPTS") ("TYPE_YZ") ("VARNAME2") ("VECTLEGENDE")))
-   ("plotsym" fun nil (lib "plotsym.pro" nil "saxo") "Result = %s" (nil ("_extra") ("angle") ("box") ("circle") ("diamond") ("line") ("scale") ("triangle")))
+   ("plotsym" fun nil (lib "plotsym.pro" nil "saxo") "Result = %s" (nil ("_EXTRA") ("angle") ("box") ("circle") ("diamond") ("line") ("scale") ("triangle")))
    ("reinitplt" pro nil (lib "reinitplt.pro" nil "saxo") "%s" (nil ("all") ("invert") ("p") ("x") ("y") ("z")))
    ("style" pro nil (lib "style.pro" nil "saxo") "%s, labstyle, level_z2d, linestyle, thick" (nil))
Index: /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DESSINE/.idlwave_catalog	(revision 244)
@@ -7,12 +7,12 @@
 (setq idlwave-library-catalog-routines
  '(("bar_plot" pro nil (lib "bar_plot.pro" nil "saxo") "%s, values" (nil ("_EXTRA") ("background") ("barnames") ("baroffset") ("barspace") ("barwidth") ("baselines") ("baserange") ("colors") ("outline") ("overplot") ("rotate") ("title") ("xtitle") ("ytitle")))
-   ("plt" pro nil (lib "plt.pro" nil "saxo") "%s, tab1, param2, param3, param4" (nil ("_extra") ("BOXZOOM") ("CONT_NOFILL") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("DECIMATETRI") ("DUPLICATE") ("GRIDTYPE") ("INTERVALLE") ("INV") ("LABEL") ("LABMAP") ("MAP") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOTRI") ("OVERPLOT") ("REALCONT") ("STRICTFILL") ("STYLE") ("USETRI") ("VECTEUR")))
-   ("plt1d" pro nil (lib "plt1d.pro" nil "saxo") "%s, tab, param2, param3, param4" (nil ("_extra") ("BOXZOOM") ("COL1D") ("ENDPOINTS") ("MAXIN") ("MININ") ("OV1D") ("REVERSE_X") ("REVERSE_Y") ("SIN") ("STY1D") ("SWITCHXY") ("TT") ("TYPEIN") ("X") ("Y") ("Z")))
+   ("plt" pro nil (lib "plt.pro" nil "saxo") "%s, tab1, param2, param3, param4" (nil ("_EXTRA") ("BOXZOOM") ("CONT_NOFILL") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("DECIMATETRI") ("DUPLICATE") ("GRIDTYPE") ("INTERVALLE") ("INV") ("LABEL") ("LABMAP") ("MAP") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOTRI") ("OVERPLOT") ("REALCONT") ("STRICTFILL") ("STYLE") ("USETRI") ("VECTEUR")))
+   ("plt1d" pro nil (lib "plt1d.pro" nil "saxo") "%s, tab, param2, param3, param4" (nil ("_EXTRA") ("BOXZOOM") ("COL1D") ("ENDPOINTS") ("MAXIN") ("MININ") ("OV1D") ("REVERSE_X") ("REVERSE_Y") ("SIN") ("STY1D") ("SWITCHXY") ("TT") ("TYPEIN") ("X") ("Y") ("Z")))
    ("pltbase" pro nil (lib "pltbase.pro" nil "saxo") "%s, z2d, x, y, mask, xm, ym, levels, colors" (nil ("_EXTRA") ("COINDESCENDMASK") ("COINDESCENDNAN") ("COINMONTEMASK") ("COINMONTENAN") ("COLOR_C") ("COLORPOINTS") ("COLORTRICHAMP") ("COLORTRIMASK") ("COLORTRINAN") ("CONT_COLOR") ("CONT_NOFILL") ("CONTOUR") ("DESSTRICHAMP") ("DESSTRIMASK") ("DESSTRINAN") ("DRAWPOINTS") ("EXCHANGE_XY") ("FORPLT") ("I_COLORS") ("INDICEZOOMMASK") ("INDICEZOOMNAN") ("MASKNAN") ("MASKORG") ("MORE") ("NAN") ("NOCONTOUR") ("NOFILL") ("REALCONT") ("REALSECTION") ("TH_TRICHAMP") ("TH_TRIMASK") ("TRICHAMP") ("TRIMSK") ("TRINAN") ("UNLABSUR") ("UNSUR2") ("usetri")))
-   ("pltsc" pro nil (lib "pltsc.pro" nil "saxo") "%s, tab1, tab2, min1, max1, min2, max2, varname2" (nil ("_extra") ("BOXZOOM") ("COL1D") ("OV1D") ("STY1D")))
-   ("pltt" pro nil (lib "pltt.pro" nil "saxo") "%s, tab, giventype, givenmin, givenmax, datmin, datmax" (nil ("_extra") ("BOXZOOM") ("COL1D") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("ENDPOINTS") ("EXCHANGE_XY") ("FILTER") ("INTERVALLE") ("INV") ("LABEL") ("MAXIN") ("MININ") ("NLEVEL") ("OV1D") ("OVERPLOT") ("REPEAT_C") ("STRICTFILL") ("STY1D") ("STYLE") ("TREND_TYPE") ("TT") ("TYPEIN") ("XT") ("YT") ("ZT")))
+   ("pltsc" pro nil (lib "pltsc.pro" nil "saxo") "%s, tab1, tab2, min1, max1, min2, max2, varname2" (nil ("_EXTRA") ("BOXZOOM") ("COL1D") ("OV1D") ("STY1D")))
+   ("pltt" pro nil (lib "pltt.pro" nil "saxo") "%s, tab, giventype, givenmin, givenmax, datmin, datmax" (nil ("_EXTRA") ("BOXZOOM") ("COL1D") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("ENDPOINTS") ("EXCHANGE_XY") ("FILTER") ("INTERVALLE") ("INV") ("LABEL") ("MAXIN") ("MININ") ("NLEVEL") ("OV1D") ("OVERPLOT") ("REPEAT_C") ("STRICTFILL") ("STY1D") ("STYLE") ("TREND_TYPE") ("TT") ("TYPEIN") ("XT") ("YT") ("ZT")))
    ("pltv" pro nil (lib "pltv.pro" nil "saxo") "%s, data, min, max" (nil ("_EXTRA") ("BOTTOM") ("BOXZOOM") ("C_MASK") ("C_NAN") ("MASKVAL") ("MAXIN") ("MININ") ("NCOLORS") ("NOINTERP")))
    ("pltz" pro nil (lib "pltz.pro" nil "saxo") "%s, tab, giventype, givenmin, givenmax" (nil ("_EXTRA") ("BOXZOOM") ("CONTINTERVALLE") ("CONTLABEL") ("CONTMAX") ("CONTMIN") ("CONTNLEVEL") ("CONTOUR") ("ENDPOINTS") ("FILLXDIR") ("INTERVALLE") ("INV") ("LABEL") ("MASKFILL") ("MAXIN") ("MININ") ("NLEVEL") ("NOTRI") ("OVERPLOT") ("REALSECTION") ("SIN") ("STRICTFILL") ("STYLE") ("TYPEIN") ("USETRI") ("WDEPTH") ("XZ") ("YZ") ("ZOOM") ("ZRATIO")))
-   ("sbar_plot" pro nil (lib "sbar_plot.pro" nil "saxo") "%s, Values" (nil ("_extra") ("COLORS") ("NOREINITPLT")))
+   ("sbar_plot" pro nil (lib "sbar_plot.pro" nil "saxo") "%s, Values" (nil ("_EXTRA") ("COLORS") ("NOREINITPLT")))
    ("scontour" pro nil (lib "scontour.pro" nil "saxo") "%s, x, y, z" (nil ("_EXTRA") ("NOREINITPLT")))
    ("splot" pro nil (lib "splot.pro" nil "saxo") "%s, x, y" (nil ("_EXTRA") ("NOREINITPLT")))
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog	(revision 244)
@@ -8,19 +8,19 @@
  '(("addaxe" pro nil (lib "addaxe.pro" nil "saxo") "%s, endpoints, type, posfenetre" (nil ("_EXTRA")))
    ("autoscale" pro nil (lib "autoscale.pro" nil "saxo") "%s, min, max, ci" (nil))
-   ("axis4pltz" pro nil (lib "axis4pltz.pro" nil "saxo") "%s, type, mask, glam, gphi, z" (nil ("_extra") ("PROFMAX") ("PROFMIN") ("SIN") ("XXAXIS") ("ZOOM") ("ZRATIO") ("ZZAXIS")))
-   ("barrecouleur" pro nil (lib "barrecouleur.pro" nil "saxo") "%s, colnumb, clbinf, clbsup, clbdiv" (nil ("_extra") ("CB_SUBTITLE") ("CB_TITLE") ("COLOR_c") ("divisions") ("MAX") ("MIN") ("NOCOLORBAR") ("NOFILL") ("POST")))
+   ("axis4pltz" pro nil (lib "axis4pltz.pro" nil "saxo") "%s, type, mask, glam, gphi, z" (nil ("_EXTRA") ("PROFMAX") ("PROFMIN") ("SIN") ("XXAXIS") ("ZOOM") ("ZRATIO") ("ZZAXIS")))
+   ("barrecouleur" pro nil (lib "barrecouleur.pro" nil "saxo") "%s, colnumb, clbinf, clbsup, clbdiv" (nil ("_EXTRA") ("CB_SUBTITLE") ("CB_TITLE") ("COLOR_c") ("divisions") ("MAX") ("MIN") ("NOCOLORBAR") ("NOFILL") ("POST")))
    ("err_1d" fun nil (lib "checkfield.pro" nil "saxo") "Result = %s(type, n1, name, n2)" (nil))
    ("err_2d" fun nil (lib "checkfield.pro" nil "saxo") "Result = %s(type, sz, nx, ny, nz)" (nil))
    ("err_3d" fun nil (lib "checkfield.pro" nil "saxo") "Result = %s(type, sz, nx, ny, nz)" (nil))
    ("checkfield" fun nil (lib "checkfield.pro" nil "saxo") "Result = %s(field, procedure)" (nil ("_EXTRA") ("BOXZOOM") ("DIREC") ("NOQUESTION") ("TYPE") ("VECTEUR") ("WDEPTH")))
-   ("checktypeminmax" pro nil (lib "checktypeminmax.pro" nil "saxo") "%s, procedure" (nil ("_extra") ("ENDPOINTS") ("MAX") ("MIN") ("TT") ("TYPE") ("XINDEX") ("XT") ("XX") ("XY") ("XZ") ("YINDEX") ("YT") ("YY") ("YZ") ("ZT") ("ZZ")))
-   ("determineminmax" pro nil (lib "determineminmax.pro" nil "saxo") "%s, tab, mask, vraimin, vraimax, glam, gphi" (nil ("_extra") ("INTERVALLE") ("MAXIN") ("MININ") ("usetri") ("ZEROMIDDLE")))
+   ("checktypeminmax" pro nil (lib "checktypeminmax.pro" nil "saxo") "%s, procedure" (nil ("_EXTRA") ("ENDPOINTS") ("MAX") ("MIN") ("TT") ("TYPE") ("XINDEX") ("XT") ("XX") ("XY") ("XZ") ("YINDEX") ("YT") ("YY") ("YZ") ("ZT") ("ZZ")))
+   ("determineminmax" pro nil (lib "determineminmax.pro" nil "saxo") "%s, tab, mask, vraimin, vraimax, glam, gphi" (nil ("_EXTRA") ("INTERVALLE") ("MAXIN") ("MININ") ("usetri") ("ZEROMIDDLE")))
    ("givewindowsize" fun nil (lib "givewindowsize.pro" nil "saxo") "Result = %s" (nil))
    ("meridienparallele" pro nil (lib "meridienparallele.pro" nil "saxo") "%s, coupe" (nil))
-   ("placecolor" pro nil (lib "placecolor.pro" nil "saxo") "%s, pos" (nil ("_extra")))
-   ("placedessin" pro nil (lib "placedessin.pro" nil "saxo") "%s, typedessin, posfenetre, posbar" (nil ("_extra") ("BARMARGES") ("BASICMARGES") ("CB_TITLE") ("COLOR_c") ("CONTOUR") ("DIREC") ("ENDPOINTS") ("LANDSCAPE") ("LCT") ("MAP") ("MARGES") ("NOCOLORBAR") ("NOERASE") ("NOFILL") ("PORTRAIT") ("POST") ("REMPLI") ("SMALL") ("TYPE") ("VECTEUR") ("WINDOW")))
+   ("placecolor" pro nil (lib "placecolor.pro" nil "saxo") "%s, pos" (nil ("_EXTRA")))
+   ("placedessin" pro nil (lib "placedessin.pro" nil "saxo") "%s, typedessin, posfenetre, posbar" (nil ("_EXTRA") ("BARMARGES") ("BASICMARGES") ("CB_TITLE") ("COLOR_c") ("CONTOUR") ("DIREC") ("ENDPOINTS") ("LANDSCAPE") ("LCT") ("MAP") ("MARGES") ("NOCOLORBAR") ("NOERASE") ("NOFILL") ("PORTRAIT") ("POST") ("REMPLI") ("SMALL") ("TYPE") ("VECTEUR") ("WINDOW")))
    ("projsegment" fun nil (lib "projsegment.pro" nil "saxo") "Result = %s(vecteur, bornes)" (nil ("MP")))
    ("restoreatt" pro nil (lib "restoreatt.pro" nil "saxo") "%s, struct" (nil))
    ("rotation" pro nil (lib "rotation.pro" nil "saxo") "%s, X, Y, DEG, NX, NY" (nil))
    ("saveatt" fun nil (lib "saveatt.pro" nil "saxo") "Result = %s" (nil))
-   ("terminedessin" pro nil (lib "terminedessin.pro" nil "saxo") "%s" (nil ("_extra") ("POST") ("SMALL")))))
+   ("terminedessin" pro nil (lib "terminedessin.pro" nil "saxo") "%s" (nil ("_EXTRA") ("POST") ("SMALL")))))
Index: /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/.idlwave_catalog	(revision 244)
@@ -9,4 +9,4 @@
    ("cv_cm2normal" fun nil (lib "vecteur.pro" nil "saxo") "Result = %s(angle)" (nil))
    ("normalise" pro nil (lib "vecteur.pro" nil "saxo") "%s, u, v, w" (nil))
-   ("vecteur" pro nil (lib "vecteur.pro" nil "saxo") "%s, composanteu, composantev, normevecteur, indice2d, reduitindice2d" (nil ("_extra") ("CMREF") ("MISSING") ("NORMEREF") ("NOVECTREF") ("VECTCOLOR") ("VECTREFFORMAT") ("VECTREFPOS") ("VECTTHICK")))
+   ("vecteur" pro nil (lib "vecteur.pro" nil "saxo") "%s, composanteu, composantev, normevecteur, indice2d, reduitindice2d" (nil ("_EXTRA") ("CMREF") ("MISSING") ("NORMEREF") ("NOVECTREF") ("VECTCOLOR") ("VECTREFFORMAT") ("VECTREFPOS") ("VECTTHICK")))
    ("velovect" pro nil (lib "velovect.pro" nil "saxo") "%s, U, V, X, Y" (nil ("_EXTRA") ("CLIP") ("Color") ("Dots") ("Length") ("Missing") ("NOCLIP") ("OVERPLOT")))))
Index: /trunk/SRC/ToBeReviewed/POSTSCRIPT/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/POSTSCRIPT/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/POSTSCRIPT/.idlwave_catalog	(revision 244)
@@ -6,5 +6,5 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("calibre" pro nil (lib "calibre.pro" nil "saxo") "%s, rapportyx, marge, margebar, smalldraw, posfenetre, posbar" (nil ("_extra") ("LANDSCAPE") ("PORTRAIT") ("REMPLI") ("YXASPECT")))
+ '(("calibre" pro nil (lib "calibre.pro" nil "saxo") "%s, rapportyx, marge, margebar, smalldraw, posfenetre, posbar" (nil ("_EXTRA") ("LANDSCAPE") ("PORTRAIT") ("REMPLI") ("YXASPECT")))
    ("format_colortable_hexa" pro nil (lib "chcolps.pro" nil "saxo") "%s, table" (nil))
    ("build_table" pro nil (lib "chcolps.pro" nil "saxo") "%s, tableout" (nil))
Index: /trunk/SRC/ToBeReviewed/STATISTICS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/STATISTICS/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/STATISTICS/.idlwave_catalog	(revision 244)
@@ -6,5 +6,5 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("auto_cov2d" fun nil (lib "a_correlate2d.pro" nil "saxo") "Result = %s(X, Lag)" (nil ("Double") ("zero2nan")))
+ '(("auto_cov2d" fun nil (lib "a_correlate2d.pro" nil "saxo") "Result = %s(X, Lag)" (nil ("DOUBLE") ("ZERO2NAN")))
    ("a_correlate2d" fun nil (lib "a_correlate2d.pro" nil "saxo") "Result = %s(X, Lag)" (nil ("Covariance") ("Double")))
    ("timeauto_cov" fun nil (lib "a_timecorrelate.pro" nil "saxo") "Result = %s(X, M, nT)" (nil ("Double") ("zero2nan")))
Index: /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog	(revision 244)
@@ -15,5 +15,5 @@
    ("putfile" pro nil (lib "putfile.pro" nil "saxo") "%s, file, s" (nil ("error") ("help")))
    ("str_size" fun nil (lib "str_size.pro" nil "saxo") "Result = %s(string, targetWidth)" (nil ("INITSIZE") ("STEP")))
-   ("too_cool" fun nil (lib "string2struct.pro" nil "saxo") "Result = %s" (nil ("_extra")))
+   ("too_cool" fun nil (lib "string2struct.pro" nil "saxo") "Result = %s" (nil ("_EXTRA")))
    ("string2struct" fun nil (lib "string2struct.pro" nil "saxo") "Result = %s(strVal)" (nil))
    ("strkeywd" fun nil (lib "strkeywd.pro" nil "saxo") "Result = %s(struct)" (nil))
Index: /trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/TRIANGULATION/.idlwave_catalog	(revision 244)
@@ -7,18 +7,18 @@
 (setq idlwave-library-catalog-routines
  '(("ciseauxtri" fun nil (lib "ciseauxtri.pro" nil "saxo") "Result = %s(triang, glam, gphi)" (nil ("_EXTRA")))
-   ("draw_corner_triangle" pro nil (lib "completecointerre.pro" nil "saxo") "%s, lons, lats, seuil" (nil ("_extra") ("CONT_COLOR")))
-   ("completecointerre" pro nil (lib "completecointerre.pro" nil "saxo") "%s" (nil ("_extra") ("COINDESCEND") ("COINMONTE") ("CONT_COLOR") ("INDICEZOOM")))
+   ("draw_corner_triangle" pro nil (lib "completecointerre.pro" nil "saxo") "%s, lons, lats, seuil" (nil ("_EXTRA") ("CONT_COLOR")))
+   ("completecointerre" pro nil (lib "completecointerre.pro" nil "saxo") "%s" (nil ("_EXTRA") ("COINDESCEND") ("COINMONTE") ("CONT_COLOR") ("INDICEZOOM")))
    ("definetri" fun nil (lib "definetri.pro" nil "saxo") "Result = %s(nx, ny, downward)" (nil))
    ("numtri" fun nil (lib "definetri_e.pro" nil "saxo") "Result = %s(index, nx, ny)" (nil))
    ("definetri_e" fun nil (lib "definetri_e.pro" nil "saxo") "Result = %s(nx, ny, singular)" (nil ("SHIFTED")))
-   ("dessinetri" pro nil (lib "dessinetri.pro" nil "saxo") "%s, tri, x, y" (nil ("_extra") ("CHANGECOLOR") ("FILL") ("ONEBYONE") ("WAIT")))
-   ("drawcoast_c" pro nil (lib "drawcoast_c.pro" nil "saxo") "%s, mask, xf, yf, nx, ny" (nil ("_extra") ("COAST_COLOR") ("COAST_THICK") ("XSEUIL") ("YSEUIL")))
-   ("drawcoast_e" pro nil (lib "drawcoast_e.pro" nil "saxo") "%s, mask, xf, yf, nx, ny" (nil ("_extra") ("COAST_COLOR") ("COAST_THICK") ("onemore") ("XSEUIL") ("YSEUIL")))
-   ("drawsectionbottom" pro nil (lib "drawsectionbottom.pro" nil "saxo") "%s, maskin, xxaxisin, depthsin" (nil ("_extra") ("COAST_COLOR") ("COAST_THICK") ("CONT_COLOR") ("CONT_NOFILL") ("OVERPLOT")))
-   ("fillcornermask" pro nil (lib "fillcornermask.pro" nil "saxo") "%s, xin, yin" (nil ("_extra") ("COINDESCEND") ("COINMONTE") ("CONT_COLOR") ("INDICEZOOM")))
-   ("section" pro nil (lib "section.pro" nil "saxo") "%s, field, res, glamaxe, gphiaxe" (nil ("_extra") ("BOXZOOM") ("DIREC") ("ENDPOINTS") ("ONLYBOX") ("SHOWBUILD") ("TYPE") ("WDEPTH")))
+   ("dessinetri" pro nil (lib "dessinetri.pro" nil "saxo") "%s, tri, x, y" (nil ("_EXTRA") ("CHANGECOLOR") ("FILL") ("ONEBYONE") ("WAIT")))
+   ("drawcoast_c" pro nil (lib "drawcoast_c.pro" nil "saxo") "%s, mask, xf, yf, nx, ny" (nil ("_EXTRA") ("COAST_COLOR") ("COAST_THICK") ("XSEUIL") ("YSEUIL")))
+   ("drawcoast_e" pro nil (lib "drawcoast_e.pro" nil "saxo") "%s, mask, xf, yf, nx, ny" (nil ("_EXTRA") ("COAST_COLOR") ("COAST_THICK") ("onemore") ("XSEUIL") ("YSEUIL")))
+   ("drawsectionbottom" pro nil (lib "drawsectionbottom.pro" nil "saxo") "%s, maskin, xxaxisin, depthsin" (nil ("_EXTRA") ("COAST_COLOR") ("COAST_THICK") ("CONT_COLOR") ("CONT_NOFILL") ("OVERPLOT")))
+   ("fillcornermask" pro nil (lib "fillcornermask.pro" nil "saxo") "%s, xin, yin" (nil ("_EXTRA") ("COINDESCEND") ("COINMONTE") ("CONT_COLOR") ("INDICEZOOM")))
+   ("section" pro nil (lib "section.pro" nil "saxo") "%s, field, res, glamaxe, gphiaxe" (nil ("_EXTRA") ("BOXZOOM") ("DIREC") ("ENDPOINTS") ("ONLYBOX") ("SHOWBUILD") ("TYPE") ("WDEPTH")))
    ("tracecote" pro nil (lib "tracecote.pro" nil "saxo") "%s" (nil ("_EXTRA") ("SURFACE_COASTLINE")))
-   ("tracemask" pro nil (lib "tracemask.pro" nil "saxo") "%s, maskentree, xin, yin" (nil ("_extra") ("COAST_COLOR") ("COAST_THICK") ("OVERPLOT")))
-   ("triangule" fun nil (lib "triangule.pro" nil "saxo") "Result = %s(maskentree)" (nil ("_extra") ("BASIC") ("COINDESCEND") ("COINMONTE")))
+   ("tracemask" pro nil (lib "tracemask.pro" nil "saxo") "%s, maskentree, xin, yin" (nil ("_EXTRA") ("COAST_COLOR") ("COAST_THICK") ("OVERPLOT")))
+   ("triangule" fun nil (lib "triangule.pro" nil "saxo") "Result = %s(maskentree)" (nil ("_EXTRA") ("BASIC") ("COINDESCEND") ("COINMONTE")))
    ("triangule_c" fun nil (lib "triangule_c.pro" nil "saxo") "Result = %s(maskentree)" (nil ("BASIC") ("COINDESCEND") ("COINMONTE") ("KEEP_CONT")))
    ("triangule_e" fun nil (lib "triangule_e.pro" nil "saxo") "Result = %s(maskentree)" (nil ("BASIC") ("COINDESCEND") ("COINMONTE") ("SHIFTED")))))
Index: /trunk/SRC/ToBeReviewed/UTILITAIRE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/UTILITAIRE/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/UTILITAIRE/.idlwave_catalog	(revision 244)
@@ -6,3 +6,3 @@
 (setq idlwave-library-catalog-libname "saxo")
 (setq idlwave-library-catalog-routines
- '(("get_extra" fun nil (lib "get_extra.pro" nil "saxo") "Result = %s" (nil ("_extra")))))
+ '(("get_extra" fun nil (lib "get_extra.pro" nil "saxo") "Result = %s" (nil ("_EXTRA")))))
Index: /trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/WIDGET/.idlwave_catalog	(revision 244)
@@ -10,6 +10,6 @@
    ("xnotice" fun nil (lib "xnotice.pro" nil "saxo") "Result = %s(text)" (nil ("CHKWIDGET")))
    ("xquestion_event" pro nil (lib "xquestion.pro" nil "saxo") "%s, event" (nil))
-   ("xquestion" fun nil (lib "xquestion.pro" nil "saxo") "Result = %s(question, proposedanswer)" (nil ("_extra") ("CHKWIDGET")))
-   ("xx" pro nil (lib "xx.pro" nil "saxo") "%s" (nil ("_extra") ("CALENDAR") ("FUNCLEC_NAME") ("JOUR") ("LISTGRID") ("LISTVAR") ("MESHFILENAME")))
+   ("xquestion" fun nil (lib "xquestion.pro" nil "saxo") "Result = %s(question, proposedanswer)" (nil ("_EXTRA") ("CHKWIDGET")))
+   ("xx" pro nil (lib "xx.pro" nil "saxo") "%s" (nil ("_EXTRA") ("CALENDAR") ("FUNCLEC_NAME") ("JOUR") ("LISTGRID") ("LISTVAR") ("MESHFILENAME")))
    ("xxx_event" pro nil (lib "xxx.pro" nil "saxo") "%s, event" (nil))
    ("xxx" pro nil (lib "xxx.pro" nil "saxo") "%s, datafilename, idlfile, argspro" (nil ("_EXTRA") ("CALLERWIDID") ("REDRAW") ("RESTORE") ("SEPARATE") ("UVALUE")))))
Index: /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/.idlwave_catalog	(revision 244)
@@ -18,11 +18,11 @@
    ("identifyclick" fun nil (lib "identifyclick.pro" nil "saxo") "Result = %s(event)" (nil))
    ("inserthistory" pro nil (lib "inserthistory.pro" nil "saxo") "%s, base, text, line1, line2" (nil))
-   ("letsdraw" pro nil (lib "letsdraw.pro" nil "saxo") "%s, base" (nil ("_extra") ("COMMANDE")))
-   ("loadgrid" pro nil (lib "loadgrid.pro" nil "saxo") "%s, meshfiletxtin" (nil ("_extra")))
+   ("letsdraw" pro nil (lib "letsdraw.pro" nil "saxo") "%s, base" (nil ("_EXTRA") ("COMMANDE")))
+   ("loadgrid" pro nil (lib "loadgrid.pro" nil "saxo") "%s, meshfiletxtin" (nil ("_EXTRA")))
    ("longclickaction" pro nil (lib "longclickaction.pro" nil "saxo") "%s, event" (nil))
    ("read_vermair" fun nil (lib "read_vermair.pro" nil "saxo") "Result = %s(name, debut, fin, nomexp)" (nil ("_EXTRA") ("BOXZOOM") ("PARENT")))
-   ("scanfile" fun nil (lib "scanfile.pro" nil "saxo") "Result = %s(namefile)" (nil ("_extra") ("GRID")))
+   ("scanfile" fun nil (lib "scanfile.pro" nil "saxo") "Result = %s(namefile)" (nil ("_EXTRA") ("GRID")))
    ("selectfile_event" pro nil (lib "selectfile.pro" nil "saxo") "%s, event" (nil))
-   ("selectfile" fun nil (lib "selectfile.pro" nil "saxo") "Result = %s(datafilename, idlfile, argspro)" (nil ("_extra")))
+   ("selectfile" fun nil (lib "selectfile.pro" nil "saxo") "Result = %s(datafilename, idlfile, argspro)" (nil ("_EXTRA")))
    ("singleclickaction" pro nil (lib "singleclickaction.pro" nil "saxo") "%s, event" (nil))
    ("tracecadre" pro nil (lib "tracecadre.pro" nil "saxo") "%s, small" (nil ("erase") ("fill") ("out")))
Index: /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/.idlwave_catalog	(revision 244)
@@ -16,22 +16,22 @@
    ("move" pro nil (lib "cw_calendar.pro" nil "saxo") "%s, event, casename" (nil))
    ("cw_calendar_event" fun nil (lib "cw_calendar.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("cw_calendar" fun nil (lib "cw_calendar.pro" nil "saxo") "Result = %s(parent, calendar, jdate0)" (nil ("_extra") ("CALTYPE") ("FAKECAL") ("UNAME") ("UVALUE")))
+   ("cw_calendar" fun nil (lib "cw_calendar.pro" nil "saxo") "Result = %s(parent, calendar, jdate0)" (nil ("_EXTRA") ("CALTYPE") ("FAKECAL") ("UNAME") ("UVALUE")))
    ("cw_combobox_pm_set_value" pro nil (lib "cw_combobox_pm.pro" nil "saxo") "%s, id, value" (nil))
    ("cw_combobox_pm_get_value" fun nil (lib "cw_combobox_pm.pro" nil "saxo") "Result = %s(id)" (nil))
    ("cw_combobox_pm_event" fun nil (lib "cw_combobox_pm.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("cw_combobox_pm" fun nil (lib "cw_combobox_pm.pro" nil "saxo") "Result = %s(parent)" (nil ("_extra") ("COLUMN") ("ROW") ("UNAME") ("UVALUE") ("VALUE")))
+   ("cw_combobox_pm" fun nil (lib "cw_combobox_pm.pro" nil "saxo") "Result = %s(parent)" (nil ("_EXTRA") ("COLUMN") ("ROW") ("UNAME") ("UVALUE") ("VALUE")))
    ("cw_domain_set_value" pro nil (lib "cw_domain.pro" nil "saxo") "%s, id, value" (nil))
    ("cw_domain_get_value" fun nil (lib "cw_domain.pro" nil "saxo") "Result = %s(id)" (nil))
    ("cw_domain_event" fun nil (lib "cw_domain.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("cw_domain" fun nil (lib "cw_domain.pro" nil "saxo") "Result = %s(parent)" (nil ("_extra") ("BOXZOOM") ("STRICT") ("UNAME") ("UNZOOM") ("UVALUE")))
+   ("cw_domain" fun nil (lib "cw_domain.pro" nil "saxo") "Result = %s(parent)" (nil ("_EXTRA") ("BOXZOOM") ("STRICT") ("UNAME") ("UNZOOM") ("UVALUE")))
    ("cw_droplist_pm_set_value" pro nil (lib "cw_droplist_pm.pro" nil "saxo") "%s, id, value" (nil))
    ("cw_droplist_pm_get_value" fun nil (lib "cw_droplist_pm.pro" nil "saxo") "Result = %s(id)" (nil))
    ("cw_droplist_pm_event" fun nil (lib "cw_droplist_pm.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("cw_droplist_pm" fun nil (lib "cw_droplist_pm.pro" nil "saxo") "Result = %s(parent)" (nil ("_extra") ("COLUMN") ("ROW") ("UNAME") ("UVALUE")))
+   ("cw_droplist_pm" fun nil (lib "cw_droplist_pm.pro" nil "saxo") "Result = %s(parent)" (nil ("_EXTRA") ("COLUMN") ("ROW") ("UNAME") ("UVALUE")))
    ("cw_pagelayout_event" fun nil (lib "cw_pagelayout.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("cw_pagelayout" fun nil (lib "cw_pagelayout.pro" nil "saxo") "Result = %s(parent, small)" (nil ("_extra") ("COLUMN") ("ROW") ("UNAME") ("UNZOOM") ("UVALUE")))
+   ("cw_pagelayout" fun nil (lib "cw_pagelayout.pro" nil "saxo") "Result = %s(parent, small)" (nil ("_EXTRA") ("COLUMN") ("ROW") ("UNAME") ("UNZOOM") ("UVALUE")))
    ("cw_slide_slice_set_value" pro nil (lib "cw_slide_slice.pro" nil "saxo") "%s, id, value" (nil))
    ("cw_slide_slice_event" fun nil (lib "cw_slide_slice.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("cw_slide_slice" fun nil (lib "cw_slide_slice.pro" nil "saxo") "Result = %s(parent)" (nil ("_extra") ("boxzoom") ("COLUMN") ("FRAME") ("ROW") ("UNAME") ("UVALUE")))
+   ("cw_slide_slice" fun nil (lib "cw_slide_slice.pro" nil "saxo") "Result = %s(parent)" (nil ("_EXTRA") ("boxzoom") ("COLUMN") ("FRAME") ("ROW") ("UNAME") ("UVALUE")))
    ("decvalue" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(value)" (nil))
    ("decind" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(value)" (nil))
@@ -39,7 +39,7 @@
    ("cw_slider_pm_get_value" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(id)" (nil))
    ("cw_slider_pm_event" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("cw_slider_pm" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(parent)" (nil ("_extra") ("MAXIMUM") ("MINIMUM") ("STRMINLEN") ("title") ("UNAME") ("UVALUE") ("VALUE")))
+   ("cw_slider_pm" fun nil (lib "cw_slider_pm.pro" nil "saxo") "Result = %s(parent)" (nil ("_EXTRA") ("MAXIMUM") ("MINIMUM") ("STRMINLEN") ("title") ("UNAME") ("UVALUE") ("VALUE")))
    ("cw_specifie_set_value" pro nil (lib "cw_specifie.pro" nil "saxo") "%s, id, value" (nil))
    ("cw_specifie_get_value" fun nil (lib "cw_specifie.pro" nil "saxo") "Result = %s(id)" (nil))
    ("cw_specifie_event" fun nil (lib "cw_specifie.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("cw_specifie" fun nil (lib "cw_specifie.pro" nil "saxo") "Result = %s(parent)" (nil ("_extra") ("COLUMN") ("FORXXX") ("FRAME") ("ROW") ("UNAME") ("UVALUE")))))
+   ("cw_specifie" fun nil (lib "cw_specifie.pro" nil "saxo") "Result = %s(parent)" (nil ("_EXTRA") ("COLUMN") ("FORXXX") ("FRAME") ("ROW") ("UNAME") ("UVALUE")))))
Index: /trunk/SRC/Utilities/.idlwave_catalog
===================================================================
--- /trunk/SRC/Utilities/.idlwave_catalog	(revision 243)
+++ /trunk/SRC/Utilities/.idlwave_catalog	(revision 244)
@@ -10,9 +10,9 @@
    ("def_myuniquetmpdir" pro nil (lib "def_myuniquetmpdir.pro" nil "saxo") "%s" (nil))
    ("demomode_compatibility" pro nil (lib "demomode_compatibility.pro" nil "saxo") "%s" (nil))
-   ("find" fun nil (lib "find.pro" nil "saxo") "Result = %s(filein)" (nil ("_extra") ("FIRSTFOUND") ("IODIRECTORY") ("LOOKALLDIR") ("NOPRO") ("ONLYNC") ("ONLYPRO") ("RECURSIVE") ("REPERTOIRE") ("TRYFIND") ("UNIQUE")))
+   ("find" fun nil (lib "find.pro" nil "saxo") "Result = %s(filein)" (nil ("_EXTRA") ("FIRSTFOUND") ("IODIRECTORY") ("LOOKALLDIR") ("NOPRO") ("ONLYNC") ("ONLYPRO") ("RECURSIVE") ("REPERTOIRE") ("TRYFIND") ("UNIQUE")))
    ("err_mess" fun nil (lib "fitintobox.pro" nil "saxo") "Result = %s(sz, jpi, nx, jpj, ny, jpk, nz, jpt)" (nil))
    ("fitintobox" fun nil (lib "fitintobox.pro" nil "saxo") "Result = %s(field, nx, ny, nz, firstx, firsty, firstz, lastx, lasty, lastz)" (nil ("WDEPTH")))
-   ("isadirectory" fun nil (lib "isadirectory.pro" nil "saxo") "Result = %s(directoryin)" (nil ("_extra") ("IODIRECTORY") ("TITLE")))
-   ("isafile" fun nil (lib "isafile.pro" nil "saxo") "Result = %s(filein)" (nil ("_extra") ("FILENAME") ("IODIRECTORY") ("NEW") ("ONLYNC") ("ONLYPRO") ("RECURSIVE")))
+   ("isadirectory" fun nil (lib "isadirectory.pro" nil "saxo") "Result = %s(directoryin)" (nil ("_EXTRA") ("IODIRECTORY") ("TITLE")))
+   ("isafile" fun nil (lib "isafile.pro" nil "saxo") "Result = %s(filein)" (nil ("_EXTRA") ("FILENAME") ("IODIRECTORY") ("NEW") ("ONLYNC") ("ONLYPRO") ("RECURSIVE")))
    ("linearequation" fun nil (lib "linearequation.pro" nil "saxo") "Result = %s(point1, point2)" (nil))
    ("lineintersection" fun nil (lib "lineintersection.pro" nil "saxo") "Result = %s(abc1, abc2)" (nil ("FLOAT")))
@@ -20,9 +20,9 @@
    ("protype" fun nil (lib "protype.pro" nil "saxo") "Result = %s(file)" (nil))
    ("pwd" pro nil (lib "pwd.pro" nil "saxo") "%s" (nil))
-   ("report" fun nil (lib "report.pro" nil "saxo") "Result = %s(text)" (nil ("_extra") ("DEFAULT_NO") ("PARENT") ("QUESTION") ("SIMPLE")))
+   ("report" fun nil (lib "report.pro" nil "saxo") "Result = %s(text)" (nil ("_EXTRA") ("DEFAULT_NO") ("PARENT") ("QUESTION") ("SIMPLE")))
    ("routine_name" fun nil (lib "routine_name.pro" nil "saxo") "Result = %s(pilingnum)" (nil))
    ("testvar" fun nil (lib "testvar.pro" nil "saxo") "Result = %s" (nil ("var")))
    ("text_box" pro nil (lib "text_box.pro" nil "saxo") "%s, text" (nil ("_EXTRA") ("bg_color") ("box") ("center") ("fg_color") ("pos") ("right") ("vert_space")))
    ("undefine" pro nil (lib "undefine.pro" nil "saxo") "%s, varname" (nil))
-   ("xfile" pro nil (lib "xfile.pro" nil "saxo") "%s, filename" (nil ("_extra")))
-   ("xhelp" pro nil (lib "xhelp.pro" nil "saxo") "%s, filename" (nil ("_extra")))))
+   ("xfile" pro nil (lib "xfile.pro" nil "saxo") "%s, filename" (nil ("_EXTRA")))
+   ("xhelp" pro nil (lib "xhelp.pro" nil "saxo") "%s, filename" (nil ("_EXTRA")))))
